/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/attach_quest.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/attach_quest.xml',
'<View title="Attach" objectType="XXAS_ATTACHMENT_TYPE" deleteAllowed="true" deleteLabel="Delete" defaultFormHandler="xxas_attachment_pkg.save_application_form">

  <CreateFields>
    <Hidden id="ATTACHED_DOCUMENT_ID"/>
    <Hidden id="ENTITY_NAME"/>
    <Poplist id="XXX_ENTITY_NAME" label="{message.XXAS_EMP_ENTITY}" transient="true" refreshOnChange="true" listProvider="LOOKUP_TYPE:DUMMY" visible="false"/>
    <Hidden id="PK1_VALUE"/>
    <Hidden id="PK2_VALUE"/>
    <Hidden id="PK3_VALUE"/>
    <Hidden id="PK4_VALUE"/>
    <Hidden id="PK5_VALUE"/>
    <Hidden id="CATEGORY_CODE"/>
    <Poplist id="XXX_CATEGORY_CODE" label="{message.XXAS_EMP_ASSI_CAT}" transient="true" listProvider="LOOKUP_TYPE:DUMMY" visible="false"/>
    <TextInput id="TITLE" label="{message.XXAS_BK_PROMPT}" required="false" visible="false"/>
    <TextInput id="DESCRIPTION" label="{message.XXAS_BK_DESCRIPTION}" required="false" visible="false"/>
    <File id="FILE_ID" label="{message.XXAS_EMP_FILE}" enabled="true" required="true" emptyValue="{message.XXAS_RB_COM_ADD}" buttonText="{message.XXAS_EMP_CHOOSE_FILE}"/>
    <Hidden id="CREATION_DATE"/>
    <Hidden id="CREATED_BY"/>
    <Hidden id="LAST_UPDATE_DATE"/>
    <Hidden id="LAST_UPDATED_BY"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/attach_quest.xml');
END;
/
COMMIT;
EXIT;
